function [PR_ratio,ondas_P,indices_P] = calcular_PR_ratio(signal)
%latidos = enventanaQRS(ECG,v_ant,v_pos);
%
%En esta funcin simplemente vamos a localizar las ondas P del complejo QRS
%para poder hacer la media y usarlo como caracterstica en nuestro
%clasificador. Puede aprovechar cdigo de la funcin ENVENTANAQRS

%Quitamos linea base
% signal = quitalineabase(signal',300,1);

%% Inicializamos variables
Fs = 300; %Frecuencia de muestreo
[R,~,~] = qrs_detect2(signal',0.25,0.6,Fs);
if isempty(R)
    mean_P = NaN;
    ondas_P = NaN;
    indices_P = NaN;
    PR_ratio = NaN;
    return
end
indices_latidos = zeros(length(R),2);

%Pasamos las ventanas a muestras

ind_inf = 225;
ind_sup = 12; 
ind_inf = round(ind_inf/1000*Fs);


%% Construimos matriz de complejos
k=1;
for i = 1:length(R)
    try
        ondas_P(k,:) = signal(R(i)-ind_inf:R(i)-ind_sup);
        indices_P(k,1) = R(i)-ind_inf;
        indices_P(k,2) = R(i)-ind_sup;
        picos(k) = max(findpeaks(ondas_P(k,:)));
        picos(k) = picos(k)/signal(R(k));
        
        k=k+1;
    catch err
%         disp(err.message)
        continue
    end
end
% Eliminamos las filas rellanas con ceros (complejos cortados)


% %% PLOT
PR_ratio = abs(median(picos));
% tm = (1:length(signal))/300;
% plot(tm,signal)
% hold on
% for i = 1:length(indices_P)
% plot(tm(indices_P(i,1):indices_P(i,2)),signal(indices_P(i,1):indices_P(i,2)),'r');
% end


end





