function [ banda1, banda2, banda3 ] = calcular_energia_subbandas( sig )

%Vamos a calcular la energa por sub bandas del espectro de la seal:
%banda1 ser la energa entre 0.5 y 2.5Hz
%banda2 ser la energa entre 2.5 y 7Hz
%banda3 ser la energa desde 7 Hz hasta el final del espectro (s_ruidosas)
%Normalizaremos diviendo por la potencia total del espectro.

%Inicializamos variables:

Fs = 300;
frec_ini_banda1 = 0.5;
frec_fin_banda1 = 2;
frec_ini_banda2 = 2;
frec_fin_banda2 = 6;
frec_calculo = 10;


[pxx,w]=pwelch(sig-mean(sig),[],round(0.5*length(sig)),4096*16,Fs);
pxx = smooth(pxx,40);
pxx = abs(pxx);

fr_ini_banda1 = find(w>frec_ini_banda1);
fr_ini_banda1 = fr_ini_banda1(1);
fr_fin_banda1 = find(w<frec_fin_banda1);
fr_fin_banda1 = fr_fin_banda1(end);
fr_ini_banda2 = find(w>frec_ini_banda2);
fr_ini_banda2 = fr_ini_banda2(1);
fr_fin_banda2 = find(w<frec_fin_banda2);
fr_fin_banda2 = fr_fin_banda2(end);
fr_calculo = find(w>frec_calculo);
fr_calculo = fr_calculo(1);


banda1 = trapz(pxx(fr_ini_banda1:fr_fin_banda1))/trapz(pxx);
banda2 = trapz(pxx(fr_ini_banda2:fr_fin_banda2))/trapz(pxx);
banda3 = trapz(pxx(fr_fin_banda2:length(pxx)))/trapz(pxx);



end

