function [NAME,LABEL] = import_references
%% Import data from text file.
% Script for importing data from the following text file:
%
%    C:\Users\Alfredo\Google Drive\Apuntes TIC\Anlisis SIB\Challenge Physionet\training2017\REFERENCE.csv
%
% To extend the code to different selected data or a different text file,
% generate a function instead of a script.

% Auto-generated by MATLAB on 2017/03/27 16:06:02

%% Initialize variables.
% filename = 'C:\Users\Alfredo\Google Drive\Apuntes TIC\Anlisis SIB\Challenge Physionet\training2017\REFERENCE.csv';
[FileName,PathName] = uigetfile('*.csv');
filename = fullfile(PathName,FileName);
delimiter = ',';

%% Format string for each line of text:
%   column1: text (%s)
%	column2: text (%s)
% For more information, see the TEXTSCAN documentation.
formatSpec = '%s%s%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to format string.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'EmptyValue' ,NaN, 'ReturnOnError', false);

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Allocate imported array to column variable names
NAME = dataArray{:, 1};
LABEL = dataArray{:, 2};


%% Clear temporary variables
clearvars filename delimiter formatSpec fileID dataArray ans;

end